%define realname   BDB
%define version    1.83
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Asynchronous Berkeley DB access
Source:     http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/BDB
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: db4.7-devel


%description
This is the Asynchronous Berkeley DB access API for Perl and DB 4.6.


%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Fri Jan 16 2009 Götz Waschk <waschk@mandriva.org> 1.83-1mdv2009.1
+ Revision: 330120
- update to new version 1.83

* Fri Jan 09 2009 Götz Waschk <waschk@mandriva.org> 1.82-1mdv2009.1
+ Revision: 327380
- update to new version 1.82

* Sun Nov 30 2008 Götz Waschk <waschk@mandriva.org> 1.81-1mdv2009.1
+ Revision: 308455
- new version
- fix source URL
- build with libdb 4.7

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 1.71-1mdv2009.0
+ Revision: 271732
- new version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-2mdv2009.0
+ Revision: 268371
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2009.0
+ Revision: 217355
- new version

* Mon Jan 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4-2mdv2008.1
+ Revision: 151846
- rebuild

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2008.1
+ Revision: 133736
- import perl-BDB


* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2008.1
- initial package
